/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-03-06
 * 描述            ：二级接口-平整机_L3_PDI
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Tpm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Tpm.mapper.IfTpm01L3PdiMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="IF_TPM01_L3_PDI", namespace=IfTpm01L3PdiMapper.class)
public class IfTpm01L3Pdi extends BaseVO implements Serializable {
	
	private String orderno;
	
	
	public String getOrderno() {
		return orderno;
	}
	public void setOrderno(String orderno) {
		this.orderno = orderno;
	}

	/** 
	 * 记录号（由业务接口创建，唯一标识消息）
	 */ 
	@Id
	private Long serial_no;
	public Long getSerial_no() {
		return this.serial_no;
	}
	public void setSerial_no(Long serial_no) {
		this.serial_no = serial_no;
	}

	/** 
	 * 下发时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date send_time;
	public Date getSend_time() {
		return this.send_time;
	}
	public void setSend_time(Date send_time) {
		this.send_time = send_time;
	}

	/** 
	 * 下发人
	 */ 
	@Column
	private String send_opr;
	public String getSend_opr() {
		return this.send_opr;
	}
	public void setSend_opr(String send_opr) {
		this.send_opr = send_opr;
	}

	/** 
	 * 入口卷号
	 */ 
	@Column
	private String entry_coil_no;
	public String getEntry_coil_no() {
		return this.entry_coil_no;
	}
	public void setEntry_coil_no(String entry_coil_no) {
		this.entry_coil_no = entry_coil_no;
	}

	/** 
	 * 出口卷号
	 */ 
	@Column
	private String exit_coil_no;
	public String getExit_coil_no() {
		return this.exit_coil_no;
	}
	public void setExit_coil_no(String exit_coil_no) {
		this.exit_coil_no = exit_coil_no;
	}

	/** 
	 * 入口卷来源（0：自产、1：外购）
	 */ 
	@Column
	private Long entry_coil_source;
	public Long getEntry_coil_source() {
		return this.entry_coil_source;
	}
	public void setEntry_coil_source(Long entry_coil_source) {
		this.entry_coil_source = entry_coil_source;
	}

	/** 
	 * 计划号
	 */ 
	@Column
	private String plan_no;
	public String getPlan_no() {
		return this.plan_no;
	}
	public void setPlan_no(String plan_no) {
		this.plan_no = plan_no;
	}

	/** 
	 * 入口热卷厚度（um）
	 */ 
	@Column
	private Long entry_thichness;
	public Long getEntry_thichness() {
		return this.entry_thichness;
	}
	public void setEntry_thichness(Long entry_thichness) {
		this.entry_thichness = entry_thichness;
	}

	/** 
	 * 入口热卷宽度（mm）
	 */ 
	@Column
	private Long entry_width;
	public Long getEntry_width() {
		return this.entry_width;
	}
	public void setEntry_width(Long entry_width) {
		this.entry_width = entry_width;
	}

	/** 
	 * 入口热卷重量（kg）
	 */ 
	@Column
	private Long entry_weight;
	public Long getEntry_weight() {
		return this.entry_weight;
	}
	public void setEntry_weight(Long entry_weight) {
		this.entry_weight = entry_weight;
	}

	/** 
	 * 入口热卷内径（mm）
	 */ 
	@Column
	private Long inner_diameter;
	public Long getInner_diameter() {
		return this.inner_diameter;
	}
	public void setInner_diameter(Long inner_diameter) {
		this.inner_diameter = inner_diameter;
	}

	/** 
	 * 入口热卷外径（mm）
	 */ 
	@Column
	private Long outer_diameter;
	public Long getOuter_diameter() {
		return this.outer_diameter;
	}
	public void setOuter_diameter(Long outer_diameter) {
		this.outer_diameter = outer_diameter;
	}

	/** 
	 * 退火后硬度
	 */ 
	@Column
	private Long harderness_annealing;
	public Long getHarderness_annealing() {
		return this.harderness_annealing;
	}
	public void setHarderness_annealing(Long harderness_annealing) {
		this.harderness_annealing = harderness_annealing;
	}

	/** 
	 * 退火温度（℃）
	 */ 
	@Column
	private Long temp_annealing;
	public Long getTemp_annealing() {
		return this.temp_annealing;
	}
	public void setTemp_annealing(Long temp_annealing) {
		this.temp_annealing = temp_annealing;
	}

	/** 
	 * 平整模式（0：平整、1：轧制）
	 */ 
	@Column
	private Long spm_mode;
	public Long getSpm_mode() {
		return this.spm_mode;
	}
	public void setSpm_mode(Long spm_mode) {
		this.spm_mode = spm_mode;
	}

	/** 
	 * 平整伸长率（0.01%，e.g. 255 => 2.55 %  ，平整模式）
	 */ 
	@Column
	private Long spm_elong;
	public Long getSpm_elong() {
		return this.spm_elong;
	}
	public void setSpm_elong(Long spm_elong) {
		this.spm_elong = spm_elong;
	}

	/** 
	 * 压下率（%）
	 */ 
	@Column
	private Long reduce;
	public Long getReduce() {
		return this.reduce;
	}
	public void setReduce(Long reduce) {
		this.reduce = reduce;
	}

	/** 
	 * 套筒（0：无、1：有）
	 */ 
	@Column
	private Long sleeve;
	public Long getSleeve() {
		return this.sleeve;
	}
	public void setSleeve(Long sleeve) {
		this.sleeve = sleeve;
	}

	/** 
	 * 出口套筒外径（520~600）
	 */ 
	@Column
	private Long outer_dia_sleeve;
	public Long getOuter_dia_sleeve() {
		return this.outer_dia_sleeve;
	}
	public void setOuter_dia_sleeve(Long outer_dia_sleeve) {
		this.outer_dia_sleeve = outer_dia_sleeve;
	}

	/** 
	 * 套筒重量（kg）
	 */ 
	@Column
	private Long weight_sleeve;
	public Long getWeight_sleeve() {
		return this.weight_sleeve;
	}
	public void setWeight_sleeve(Long weight_sleeve) {
		this.weight_sleeve = weight_sleeve;
	}

	/** 
	 * 国标钢种
	 */ 
	@Column
	private String gb_steel_grade;
	public String getGb_steel_grade() {
		return this.gb_steel_grade;
	}
	public void setGb_steel_grade(String gb_steel_grade) {
		this.gb_steel_grade = gb_steel_grade;
	}

	/** 
	 * 钢种
	 */ 
	@Column
	private String steel_grade;
	public String getSteel_grade() {
		return this.steel_grade;
	}
	public void setSteel_grade(String steel_grade) {
		this.steel_grade = steel_grade;
	}

	/** 
	 * 上道工序代码
	 */ 
	@Column
	private String preced_process_code;
	public String getPreced_process_code() {
		return this.preced_process_code;
	}
	public void setPreced_process_code(String preced_process_code) {
		this.preced_process_code = preced_process_code;
	}

	/** 
	 * 后道工序代码
	 */ 
	@Column
	private String next_process_code;
	public String getNext_process_code() {
		return this.next_process_code;
	}
	public void setNext_process_code(String next_process_code) {
		this.next_process_code = next_process_code;
	}

	/** 
	 * 备注信息
	 */ 
	@Column(value="comment_desc")
	private String comment;
	public String getComment() {
		return this.comment;
	}
	public void setComment(String comment) {
		this.comment = comment;
	}

	/** 
	 * 出口库位
	 */ 
	@Column
	private String exit_yard_location;
	public String getExit_yard_location() {
		return this.exit_yard_location;
	}
	public void setExit_yard_location(String exit_yard_location) {
		this.exit_yard_location = exit_yard_location;
	}

	/** 
	 * 入口库位
	 */ 
	@Column
	private String entry_yard_location;
	public String getEntry_yard_location() {
		return this.entry_yard_location;
	}
	public void setEntry_yard_location(String entry_yard_location) {
		this.entry_yard_location = entry_yard_location;
	}

	/** 
	 * 预留
	 */ 
	@Column
	private String reserve;
	public String getReserve() {
		return this.reserve;
	}
	public void setReserve(String reserve) {
		this.reserve = reserve;
	}

}
